Bug 905120 - notification-daemon not showing updates properly.
Summary: notification-daemon not showing updates properly.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: notification-daemon
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Mashal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-28 16:09 UTC by Ranjan Maitra
Modified: 2014-02-05 22:59 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-05 22:59:57 UTC
Type: Bug


Attachments (Terms of Use)

Description Ranjan Maitra 2013-01-28 16:09:24 UTC
Description of problem:

libnotify needs an update to  Release 0.8.0 (released 4 months ago).


Version-Release number of selected component (if applicable):

0.7.5

How reproducible:

Everytime

Steps to Reproduce:
1. rpm -q libnotify
2.
3.
  
Actual results:

libnotify-0.7.5-3.fc18.x86_64

Expected results:

libnotify-0.8.0-?.fc18.x86_64

Additional info:

Hopefully this will fix the bug that libnotify does not actually provide any notifications in Fedora 18.

Happy to provide more information.

Comment 1 Matthias Clasen 2013-01-28 16:34:50 UTC
The latest libnotify tarball is 0.7.5:

http://ftp.gnome.org/pub/GNOME/sources/libnotify/0.7/

There is no libnotify 0.8, unless somebody forked it without renaming

Comment 2 Ranjan Maitra 2013-01-28 17:18:33 UTC
I see: I was led to 

https://github.com/splattael/libnotify

which I assumed was the new page for libnotify.

I was hoping that this would fix the bug in libnotify valid for Fedora 15-18 (that it does not actually provide notifications).

Comment 3 Matthias Clasen 2013-01-28 17:36:44 UTC
what problems are you seeing with notifications in f18 ?
libnotify works fine here. What notification service are you using, notification-daemon, gnome-shell, something else ?

Comment 4 Ranjan Maitra 2013-01-28 17:40:42 UTC
notification-daemon (which comes with the LXDE spin).

Is it possible to somehow track this problem down? What should I look for? 

Btw, I do get notifications just fine if i use xfce4-notifyd

Many thanks again!

Comment 5 Fedora Admin XMLRPC Client 2013-02-24 10:38:13 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 6 Fedora Admin XMLRPC Client 2013-03-06 12:25:09 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 7 Dan Mashal 2013-03-11 16:15:01 UTC
Please open a new bug when libnotify 0.80 is released if you wish libnotify to be updated.

Updating title of the bug.

Comment 8 Christoph Wickert 2013-03-11 16:44:18 UTC
I have to admit that I am a little confused about this report. I don't understand what the problem is exactly. Is it that you don't get notified about new updates (as the summary suggests) or that you don't get any notifications in LXDE at all?

If so, can you please check that
1. notification daemon is installed and running in the LXDE session
2. you can display a notification with "notify-send "This is a test"

Comment 9 Dan Mashal 2013-03-11 18:27:33 UTC
notification-daemon is not running by default. 

Seems like if I put the .desktop file for notification-daemon in /etc/xdg/autostart it should fix this issue.

Comment 10 Christoph Wickert 2013-03-12 09:20:21 UTC
Yes, mate-session is probably the right package to add that file. Make sure to 
have the following to lines in the file:

TryExec=/usr/libexec/notification-daemon
OnlyShowIn=MATE;

The first one will skip starting it when not installed, the second line makes sure it's only valid for MATE. You should also make sure that the file name does not conflict with anything else, e.g. /etc/xdg/autostart/mate-gnome-notifcation-daemon.desktop.

@Globe Trotter: I have tested it on with LXDE live CD and things are fine. notification-daemon is running in the LXDE session and I can display notifications with notify-send. Can you please get back to us and tell us what exactly your problem is?

Comment 11 Christoph Wickert 2013-03-12 12:21:19 UTC
(In reply to comment #9)
> notification-daemon is not running by default. 
> 
> Seems like if I put the .desktop file for notification-daemon in
> /etc/xdg/autostart it should fix this issue.

btw: as the maintainer notification-daemon you could also think about moving the file from /usr/share/applications to /etc/xdg/autostart. If you do this, you better ask the GNOME folks first why they moved it to /usr/share/applications. Probably because they don't want/need it in gnome-shell, so when you move it back, you should add "NotShowIn=GNOME;" or even "NotShowIn=GNOME;KDE;XFCE;"

Comment 12 Ranjan Maitra 2013-03-12 12:59:15 UTC
This works fine for me on LXDE also now. Some update appears to have fixed whatever the problem had been earlier. The bug is "resolved" for me, at least for now. Thanks!

Comment 13 Dan Mashal 2013-03-15 20:38:18 UTC
(In reply to comment #11)
> (In reply to comment #9)
> > notification-daemon is not running by default. 
> > 
> > Seems like if I put the .desktop file for notification-daemon in
> > /etc/xdg/autostart it should fix this issue.
> 
> btw: as the maintainer notification-daemon you could also think about moving
> the file from /usr/share/applications to /etc/xdg/autostart. If you do this,
> you better ask the GNOME folks first why they moved it to
> /usr/share/applications. Probably because they don't want/need it in
> gnome-shell, so when you move it back, you should add "NotShowIn=GNOME;" or
> even "NotShowIn=GNOME;KDE;XFCE;"

Gnome doesn't use notification daemon if I understand correctly. It was used for fallback mode.

Comment 14 Dan Mashal 2013-03-15 20:40:00 UTC
(In reply to comment #11)
> (In reply to comment #9)
> > notification-daemon is not running by default. 
> > 
> > Seems like if I put the .desktop file for notification-daemon in
> > /etc/xdg/autostart it should fix this issue.
> 
> btw: as the maintainer notification-daemon you could also think about moving
> the file from /usr/share/applications to /etc/xdg/autostart. If you do this,
> you better ask the GNOME folks first why they moved it to
> /usr/share/applications. Probably because they don't want/need it in
> gnome-shell, so when you move it back, you should add "NotShowIn=GNOME;" or
> even "NotShowIn=GNOME;KDE;XFCE;"

I did think about it. But I wanted to run it by you first. Also it's "OnlyShowIn"

Comment 15 Fedora End Of Life 2013-12-21 15:20:11 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Fedora End Of Life 2014-02-05 22:59:57 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.